/*global document, window, console, jQuery */
/*jslint maxlen: 150, this: true*/
/*jshint esversion:6*/

(function ($) {
    "use strict";

    var NSCustomSelect = {},
        class_1 = "active",
        value_select,
        select_1 = $(".group_custom_select"),
        select_2 = $(".group_custom_select .input_custom_select"),
        select_3 = $(".group_custom_select .custom_select li"),
        select_4 = $(".group_custom_select select[name=document_type]");

    NSCustomSelect = (function () {
        /* Private */
        /* Public */
        return {
            click_div_select: function () {
                $("body").on("click", function () {
                    select_1.removeClass(class_1);
                });

                select_1.on("click", function (e) {
                    e.stopPropagation();
                    select_1.toggleClass(class_1);
                });

                select_3.on("click", function (e) {
                    e.stopPropagation();
                    $(".group_custom_select .custom_select li.active")
                        .removeClass(class_1);

                    $(this).each(function () {
                        value_select = $(this).data("value");

                        //Assignment of values
                        select_2.attr("data-value", value_select)
                            .text(value_select);
                        $(this).addClass(class_1);

                        //remove class
                        select_1.removeClass(class_1);

                        //Change value select
                        select_4.val(value_select);
                    });
                });
            }
        };
    }());

    $(window).on("load", function () {
        if ($(select_3).length > 0) {
            NSCustomSelect.click_div_select();
        }
    });
}(jQuery));
