<?php

namespace Drupal\tigo_portability\tests\Unit\Model;

use Drupal\Tests\UnitTestCase;
use Drupal\tigo_portability\Model\ZendeskTicket;

/**
 * Class ZendeskTicket.
 *
 * @coversDefaultClass Drupal\tigo_portability\Model\ZendeskTicket
 * @group tigo_portability
 */
class ZendeskTicketTest extends UnitTestCase {

  protected $object;
  protected $response;

  /**
   * {@inheritdoc}
   */
  public function setUp($ticket = NULL) {
    if ($ticket == NULL) {
      $ticket = $this->createTestMock('Drupal\tigo_portability\Model\ZendeskTicket');
    }
    $this->object = new ZendeskTicket($ticket);
  }

  /**
   * {@inheritdoc}
   */
  public function tearDown() {
    unset($this->object);
    unset($this->response);
  }

  public function createTestMock($mockClass = NULL, $methods = []) {
      $mock = $this->getMockBuilder($mockClass)->disableOriginalConstructor()->setMethods($methods)->getMock();
      return $mock;
  }

}
