/*global document, window, console, jQuery, navigator*/
/*jslint maxlen: 150*/
/*jshint esversion:6*/

(function ($) {
    "use strict";

    /**
    * Exists selector
    * @returns {Boolean} True if exists, false otherwise
    */
    $.fn.exists = function (attr_e) {
        var attr = attr_e || {},

            def    = attr.defined || undefined,
            answer = false;

        if (def === undefined) {
            answer = $(this).length;
        } else {
            answer = (def !== "undefined") ? true : false;
        }

        return answer;
    };

    $.extend({
        exists : function (value_e) {
            var valu = value_e || undefined;

            return $.fn.exists({defined: valu});
        }
    });

    $.extend($.fn.exists, {
        version : 20161121
    });
}(jQuery));
