/*global document, window, console, jQuery, navigator, Segment */
/*jslint maxlen: 150, this: true, for: true */
/*jshint esversion:6 */
(function ($) {
    "use strict";

    var NSPortability = {},
        select_1 = "input[required][data-format-movil]",
        select_2 = "input#edit-email",
        select_3 = ".close_message",
        select_4 = ".status_confirm",
        select_5 = "form.tigo-portability-status",
        select_6 = "input[type=submit]",
        select_7 = ".retract",
        select_8 = "form.tigo-portability",
        select_9 = ".form-email",
        select_10 = "input[data-format-document]",
        select_11 = ".title",
        select_12 = ".container_nip .icon_info",
        select_13 = ".slidetounlock",
        select_14 = ".slider_unlock",
        select_15 = "header .region-navbar",
        select_16 = ".messages__wrapper",
        select_17 = "form.tigo-portability-step1",
        select_18 = ".messages",
        select_19 = ".form-tel",
        select_20 = ".error_typing_",
        select_21 = ".form-document",
        select_22 = "input#edit-msisdn-tigo",
        select_23 = "input#edit-msisdn-other",
        select_24 = "input#edit-document-number",
        select_25 = "input[data-drupal-selector=edit-nip]",
        select_26 = "input[data-int-number]",
        select_27 = ".pass_to_js",
        select_28 = ".buy_now_js",
        select_29 = ".back_js",
        select_30 = ".chat_js",
        select_31 = ".number_movil_js",
        select_32 = ".send_form_js",
        select_33 = ".to_go_user_js",
        select_34 = ".know_js",
        select_35 = ".ico--info",
        select_36 = ".tooltop__close",
        select_37 = ".block-page-title-block",
        select_38 = ".request_code",
        select_39 = ".modalsign-contract",
        select_40 = ".modalsign__close",
        select_41 = ".modalsign--open",
        select_42 = ".btns-content",
        select_43 = ".btn-cancel",

        text_1 = "El número de línea que ingresaste no es un número celular. Por favor verifícalo e intenta de nuevo.",
        text_2 = "El número de documento que ingresaste no es válido. Verifícalo e intenta de nuevo.",
        text_3 = "El correo electrónico que ingresaste no es válido. Por favor verifícalo e intenta de nuevo.",

        class_1 = "hide_message",
        class_2 = "timer_on",
        class_3 = "disabled",
        class_4 = "modalsign--open",
        class_5 = "hide-to-close",

        regex1 = /[^0-9]+/g,
        regex2 = /^(3)(\d*)$/,
        regex3 = /^(0)(\d*)$/,

        centinel_1 = false,
        centinel_2 = false,
        centinel_3 = false,
        centinel_4 = false,

        centinel_form = "",

        timeAlert,

        number_message = 1;

    function proccess_ajax() {
        if ($(select_16).exists()){
            $(select_16).appendTo(select_15);
            NSPortability.close_message(select_16);
            NSPortability.timer_alert();
        }

        $("form.tigo-portability-step1 .form-number").on("keypress", function (e) {
            if (parseInt($(this).val(), 10) > 9999 || e.keyCode === 101) {
                $(this).preventD(e);
            }
        });

        if ($(select_12).exists() || $(select_35).exists()) {
            NSPortability.tooltip_nip();
        }

        if ($(select_13).exists() && $(select_8).exists()) {
            NSPortability.slide_nip();
        }

        if ($(select_17).exists() || $(select_8).exists()) {
            NSPortability.verification_centinel_1();
        }

        if ($(select_26).exists()) {
            NSPortability.format_number();
        }

        if ($(select_25).exists()) {
            $(select_25).on("keydown keyup keypress change blur", function () {
                var length_input = $(this).val().length;

                centinel_4 = (length_input === 5)
                    ? true
                    : false;

                NSPortability.verification_centinel_1();
            }).trigger("keypress");
        }
    }

    NSPortability = (function () {
        /* Private */
        var status_v = false;

        /* Public */
        return {
            lock_slidetounlock: function () {
                if (!status_v) {
                    $(select_13).addClass(class_3);
                } else {
                    $(select_13).removeClass(class_3);
                }
            },

            verification_centinel_1: function() {
                if (!$(select_25).exists()) {
                    centinel_4 = true;
                }

                if (centinel_1 && centinel_2 && centinel_3 && centinel_4) {
                    $(centinel_form + " " + select_6).removeAttr("disabled");
                    $(centinel_form + " " + select_6).removeClass("is-disabled");
                    status_v = true;
                } else {
                    $(centinel_form + " " + select_6).prop("disabled", true);
                    status_v = false;
                }

                if ($(select_13).exists()) {
                    NSPortability.lock_slidetounlock();
                }
            },

            lock_button: function () {
                var length_input = 0;

                if ($(select_5).exists()) {
                    $(select_1).each(function () {
                        $(this).on("keydown keyup keypress change blur", function () {
                            length_input = $(this).attr("data-number").length;

                            if (length_input >= 10) {
                                $(select_5 + " " + select_6).removeAttr("disabled");
                                $(select_5 + " " + select_6).removeClass("is-disabled");
                                status_v = true;
                            } else {
                                $(select_5 + " " + select_6).prop("disabled", true);
                                status_v = false;
                            }

                            if ($(select_13).exists()) {
                                NSPortability.lock_slidetounlock();
                            }
                        }).trigger("keypress");
                    });
                }

                if ($(select_17).exists()) {
                    centinel_form = select_17;

                    $(select_22).on("keydown keyup keypress change blur", function () {
                        length_input = $(this).attr("data-number").length;

                        centinel_1 = (length_input >= 10)
                            ? true
                            : false;

                        NSPortability.verification_centinel_1();
                    }).trigger("keypress");

                    $(select_23).on("keydown keyup keypress change blur", function () {
                        length_input = $(this).attr("data-number").length;

                        centinel_2 = (length_input >= 10)
                            ? true
                            : false;

                        NSPortability.verification_centinel_1();
                    });

                    $(select_24).on("keydown keyup keypress change blur", function () {
                        length_input = $(this).attr("data-number").length;

                        centinel_3 = (length_input >= 6)
                            ? true
                            : false;

                        NSPortability.verification_centinel_1();
                    });
                }

                if ($(select_8).exists()) {
                    centinel_form = select_8;
                    centinel_4 = true;
                    centinel_3 = true;

                    $(select_23).on("keydown keyup keypress change blur", function() {
                        var value_o = parseInt($(this).val().replace(regex1, ""), 10);
                        length_input = $(this).attr("data-number").length;
                        

                        if (!regex2.test(value_o) && !isNaN(value_o)) {
                            centinel_1 = false;
                        } else {
                            centinel_1 = false;

                            if (length_input >= 10) {
                                centinel_1 = true;
                            }
                        }

                        NSPortability.verification_centinel_1();
                    }).trigger('keypress');

                    $(select_2).on("keydown keyup keypress change blur", function() {
                        var value_o = $(this).val(),
                            regex_o = new RegExp($(this).attr('pattern'));

                        centinel_2 = (regex_o.test(value_o))
                            ? true
                            : false

                        if ($(this).val() === "") centinel_2 = false;

                        NSPortability.verification_centinel_1();
                    }).trigger('keypress');
                }
            },

            format_movil: function () {
                var val_input;

                if ($.exists(typeof $.ValidationRegExp)) {
                    $.ValidationRegExp().start({
                        fields: $(select_1)
                    });
                }

                $(select_1).each(function () {
                    $(this).on("keypress", function (e) {
                        if (parseInt($(this).val(), 10) > 999999999) {
                            $(this).preventD(e);
                        }
                    }).on("keyup", function (e) {
                        val_input = $.ValidationRegExp().format_input({
                            element: $(this),
                            event: e,
                            type: "movil"
                        });

                        $(this).val(val_input);
                        $(this).attr("data-number", $(this).val().replace(regex1, ""));
                    }).on("blur", function (e) {
                        val_input = $.ValidationRegExp().format_input({
                            element: $(this),
                            event: e,
                            type: "movil"
                        });

                        $(this).val(val_input);
                    }).trigger("keyup");
                });
            },

            format_document: function () {
                var val_input;

                if ($.exists(typeof $.ValidationRegExp)) {
                    $.ValidationRegExp().start({
                        fields: $(select_10)
                    });
                }

                $(select_10).each(function () {
                    $(this).on("keypress", function (e) {
                        if (parseInt($(this).val(), 10) > 999999999) {
                            $(this).preventD(e);
                        }
                    }).on("keyup", function (e) {
                        val_input = $.ValidationRegExp().format_input({
                            element: $(this),
                            event: e,
                            type: "document"
                        });

                        $(this).val(val_input);
                        $(this).attr("data-number", $(this).val().replace(regex1, ""));
                    }).on("blur", function (e) {
                        val_input = $.ValidationRegExp().format_input({
                            element: $(this),
                            event: e,
                            type: "document"
                        });

                        $(this).val(val_input);
                    });
                });
            },

            format_number: function () {
                var val_input;

                if ($.exists(typeof $.ValidationRegExp)) {
                    $.ValidationRegExp().start({
                        fields: $(select_26)
                    });
                }
            },

            close_message: function (class_unitary_e) {
                var class_unitary = class_unitary_e || "",
                    close_button = $("<div>", {
                        class: "close_message"
                    });

                if (!$(class_unitary + " " + select_3).exists()) {
                    $(class_unitary).append(close_button);

                    $(class_unitary + " " + select_3).on("click", function () {
                        $(class_unitary).addClass(class_1).animate(
                            {height: 0},
                            250,
                            function () {
                                $(class_unitary).removeClass(class_1).removeAttr("style").remove();
                                $(class_unitary + " " + select_3).remove();
                            }
                        );
                    });
                }
            },

            retract_main: function () {
                var retract_1;

                if ($.exists(typeof $.retract)) {
                    retract_1 = new $.retract();

                    $(window).on("resize", function () {

                        if ($(select_7).exists()) {
                            if ($(window).width() >= 768) {
                                retract_1.destroy();
                            } else {
                                retract_1.init();
                                $(select_7 + " " + select_11).each(function () {
                                    $(this).scrollMove({
                                        top: $(this).position().top - 60
                                    });
                                });
                            }
                        }
                    }).trigger("resize");
                }
            },

            tooltip_nip: function () {
                if ($.exists(typeof $.Tooltip)) {
                    var tooltip_1 = new $.Tooltip();

                    tooltip_1.init({
                        class_t: "tooltip_js_data",
                        source_c: "data",
                        data_n: "messages"
                    });
                }

                if ($(select_35).exists()) {
                    $(select_35).on('click', function() {
                        var parentT = $(this).parent();
                        parentT.toggleClass('is--open');

                        $(select_36).on('click', function() {
                            parentT.removeClass('is--open');
                        })
                    });
                }
            },

            slide_nip: function () {
                if ($.exists(typeof $.simpleSlideToUnlock)) {
                    var slide_1 = new $.simpleSlideToUnlock(),
                        url = $(select_14).data("url"),
                        token = $(select_14).data("token"),
                        id_form = $("form")[0].id,
                        message_send;

                    $(select_14).removeAttr("style");

                    switch (id_form) {
                        case "tigo-portability-status":
                            message_send = "Desliza para consultar";
                            break;
                        case "tigo-portability-step1":
                            message_send = "Desliza para finalizar";
                            break;
                        case "tigo-portability":
                            message_send = "Desliza para continuar";
                            break;
                    }

                    slide_1.init({
                        id_form: id_form,
                        message_send: message_send,
                        message_ok: "Procesando",
                        no_validation: true,
                        no_success: false,
                        back: false,
                        success: function () {
                            $.ajax({
                                url: url,
                                method: "post",
                                data: {
                                    token: token,
                                    data_form: $("form#" + id_form).serialize()
                                },
                                success: function (data) {
                                    console.log(data);
                                    switch (data.status) {
                                        case "send":
                                            setTimeout(function() {
                                                window.location.href = data.redirect;
                                            }, 300);
                                            // $(select_39).addClass(class_4 + ' ' + class_5);
                                            // $(select_38).on('click', function() {
                                            //     window.location.href = data.redirect;
                                            // });
                                        break;
                                        case "error":
                                            for (let item of data.errors) {
                                                NSPortability.build_alert_js(item, "error");
                                            }
                                            slide_1.reload_move();
                                        break;
                                        default:
                                            console.warn("Status no found: "  + data.status);
                                        break;
                                    }
                                }
                            });
                            slide_1.destroy();
                        }
                    });
                }
            },

            timer_alert: function () {
                $(select_18).each(function () {
                    if (!$(this).hasClass(class_2)) {
                        window.setTimeout(function () {
                            this.remove();
                            $(select_16 + " " + select_3).remove();
                        }.bind($(this)), 10000);

                        $(this).addClass(class_2);
                    }
                });
            },

            build_alert_js: function (msm_e, type_e) {
                var nodo_message,
                    msm = msm_e || "",
                    type = type_e || "error";

                if (!$(select_16).exists()){
                    $(select_15).append($("<div>", {
                        class: "messages__wrapper"
                    }));
                }

                nodo_message = $("<div>", {
                    class: "messages messages--" + type + " messages_" + number_message,
                    html: msm
                });

                if ($(select_18).exists()) {
                    $(select_18).remove();
                    clearTimeout(timeAlert);
                }
                $(select_16).append(nodo_message);
                NSPortability.close_message(".messages_" + number_message);
                number_message = number_message + 1;
                NSPortability.timer_alert();
            },

            validation_movil: function () {
                var value_o,
                    name_o;

                $(select_19).each(function () {
                    $(this).on("keyup", function (e) {
                        value_o = parseInt($(this).val().replace(regex1, ""), 10);
                        name_o = $(this).attr("name");
                        
                        if (!regex2.test(value_o) && !isNaN(value_o)) {
                            $(select_20 + name_o).html(text_1);
                        } else {
                            $(select_20 + name_o).html("");
                        }
                    });
                });
            },

            validation_document: function () {
                var value_o,
                    name_o;

                $(select_21).each(function () {
                    $(this).on("keyup", function (e) {
                        value_o = $(this).val().replace(regex1, "");
                        name_o = $(this).attr("name");

                        if (regex3.test(value_o) && !isNaN(parseInt(value_o))) {
                            $(select_20 + name_o).html(text_2);
                        } else {
                            $(select_20 + name_o).html("");
                        }
                    });
                });
            },

            validation_email: function() {
                var regex_o,
                    name_o,
                    value_o;

                $(select_9).each(function() {
                    $(this).on("keyup", function() {
                        regex_o = new RegExp($(this).attr('pattern'));
                        value_o = $(this).val(),
                        name_o = $(this).attr('name');
                        
                        if (regex_o.test(value_o) && isNaN(value_o)) {
                            $(select_20 + name_o).html("");
                        } else {
                            $(select_20 + name_o).html(text_3);
                        }

                        if ($(this).val() === "") $(select_20 + name_o).html("");
                    });
                });
            },

            segment_buttons: function () {
                var sPortability_1 = new Segment("portabilidad", null),
                    number_movil = $(select_31).data("number-1"),
                    sPortability_2 = new Segment("portabilidad", number_movil);

                if ($(select_27).exists()) {
                    $(select_27).on("click", function () {
                        sPortability_1.addAttributes({
                            events: "PT - Pasarme a tigo",
                            properties: {
                                label: "Iniciar portabilidad",
                                category: "Portabilidad - Inicio"
                            }
                        }).sendSegment();
                    });
                }

                if ($(select_28).exists()) {
                    $(select_28).on("click", function () {
                        sPortability_1.addAttributes({
                            events: "PT - Ir a",
                            properties: {
                                label: "Compras Tigo",
                                category: "Portabilidad - Inicio"
                            }
                        }).sendSegment();
                    });
                }

                if ($(select_29).exists()) {
                    $(select_29).on("click", function () {
                        sPortability_2.addAttributes({
                            events: "PT - Ir a",
                            properties: {
                                label: "Volver a inicio",
                                category: "Portabilidad - Confirmación"
                            }
                        }).sendSegment();
                    });
                }

                if ($(select_30).exists()) {
                    $(select_30).on("click", function () {
                        sPortability_2.addAttributes({
                            events: "PT - Ir a",
                            properties: {
                                label: "Chat en línea",
                                category: "Portabilidad - Confirmación"
                            }
                        }).sendSegment();
                    });
                }

                if ($(select_32).exists()) {
                    $(select_32).on("click", function () {
                        sPortability_2.addAttributes({
                            events: "PT - Recodatorio",
                            properties: {
                                label: "Continuar proceso",
                                category: "Portabilidad - Recordar"
                            }
                        }).sendSegment();
                    });
                }

                if ($(select_33).exists()) {
                    $(select_33).on("click", function () {
                        sPortability_2.addAttributes({
                            events: "PT - Ir a",
                            properties: {
                                label: "Ir a mi cuenta",
                                category: "Portabilidad - Confirmación"
                            }
                        }).sendSegment();
                    });
                }

                if ($(select_34).exists()) {
                    $(select_34).on("click", function () {
                        sPortability_2.addAttributes({
                            events: "PT - Ir a",
                            properties: {
                                label: "Conoce los planes",
                                category: "Portabilidad - Confirmación"
                            }
                        }).sendSegment();
                    });
                }
            },

            modal_instrcutions: function() {
                var centinel1 = false;

                if (!$(select_41).exists()) {
                    $(select_42).css('display', 'flex');
                    
                    // if (!$(select_13).exists()) {
                    //     $(select_8).submit(function(e) {
                    //         if (!centinel1) {
                    //             e.preventDefault();
                    //             $(select_39).addClass(class_4);
                    //             centinel1 = true;
                    //         }
                    //     });
                    // }
    
                    // $(select_40 + ', ' + select_43).on('click', function() {
                    //     $(select_39).toggleClass(class_4);
                    //     centinel1 = false;
                    // });
    
                    // $(select_38).on('click', function() {
                    //     $(select_39).toggleClass(class_4);
                    //     $(select_8).submit();
                    // });
                }
            },

            session_storage: function() {
                $(select_38).on('click', function() {
                    sessionStorage.setItem('user_id_segment', $(select_23).val().replace(/[\()-\s]/g, ""));
                });
            }
        };
    }());

    //Show message
    $.fn.showAlert = function (msm, type) {
        NSPortability.build_alert_js(msm, type);
    };

    $(window).on("load", function () {
        if ($(select_1).exists()) {
            NSPortability.format_movil();
        }

        if ($(select_39).exists()) {
            NSPortability.modal_instrcutions();
        }

        if ($(select_5).exists() || $(select_17).exists() || $(select_8).exists()) {
            NSPortability.lock_button();
        }

        if ($(select_7).exists()) {
            NSPortability.retract_main();
        }

        if ($(select_10).exists()) {
            NSPortability.format_document();
        }

        if ($(select_18).exists()) {
            NSPortability.timer_alert();
        }

        if ($(select_19).exists()) {
            NSPortability.validation_movil();
        }

        if ($(select_21).exists()) {
            NSPortability.validation_document();
        }

        if ($(select_9).exists()) {
            NSPortability.validation_email();
        }

        if ($(select_4).exists()) {
            $(select_37).hide();
        }

        if ($(select_23).exists()) {
            NSPortability.session_storage();
        }

        if ($(select_27).exists()
            || $(select_28).exists()
            || ($(select_29).exists() && $(select_31).exists())
            || ($(select_30).exists() && $(select_31).exists())
            || ($(select_32).exists() && $(select_31).exists())
            || ($(select_33).exists() && $(select_31).exists())
            || ($(select_34).exists() && $(select_31).exists())) {
            NSPortability.segment_buttons();
        }

        proccess_ajax();

        (function ($, Drupal, drupalSettings) {
            Drupal.behaviors.portability = {
                attach: function (context, settings) {
                    proccess_ajax();
                }
            };
        })(jQuery, Drupal, drupalSettings);

        //You should always go to the end
        NSTigoLoader.start();
    });
}(jQuery));
