<?php

namespace Drupal\tigo_portability\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Url;

/**
 *
 */
class PortabilityMain extends ControllerBase {

  /**
   *
   */
  public function View() {
    $form = \Drupal::formBuilder()->getForm(
        'Drupal\tigo_portability\Form\PortabilityStatus'
    );
    $link = [
      '#type' => 'link',
      '#title' => t('Pasarme a tigo'),
      '#url' => Url::fromRoute(
            'tigo_portability.step1'
      ),
      '#attributes' => [
        'class' => [
          "buttonform",
          "pass_to_js",
        ],
      ],
    ];
    return [
      '#theme' => 'tigo-portability-main',
      '#form' => $form,
      '#link' => $link,
      '#attached' => [
        'library' => [
          'tigo/tigo.exists',
          'tigo/tigo.loader',
          'tigo/tigo.scrollmove',
          'tigo_portability/tigo_portability',
        ],
      ],
    ];
  }

}
