<?php

namespace Drupal\tigo_portability;

class PortPospago{
  public function initPortPospago($dataPortability){
    unset($_SESSION['data_pospago']);
    $new_ticket = TRUE;
    if ($dataPortability[0]->ticket != ''){
      $new_ticket = FALSE;
    }
    $data = [
      'tipo_plan' => $dataPortability[0]->tipo_plan,
      'tipo_producto' => $dataPortability[0]->tipo_producto,
      'description' => $dataPortability[0]->description,
      'suscription_id' => $dataPortability[0]->suscription_id,
      'type_plan' => $dataPortability[0]->tipo_plan,
      'msisdn' => $dataPortability[0]->linea_donante,
      'imsi' => $dataPortability[0]->imsi,
      'docType' => $dataPortability[0]->tipo_documento,
      'docId' => $dataPortability[0]->documento,
      'year' => $dataPortability[0]->fecha_expedicion,
      'transactionId' => 'WSEC' . $dataPortability[0]->sequence . 'P' . $dataPortability[0]->item_id,
      'item_id' => $dataPortability[0]->item_id,
      'order_id' => $dataPortability[0]->order_id,
      'productId' => $dataPortability[0]->product_id,
      'ticket' => $dataPortability[0]->ticket,
      'new_ticket' => $new_ticket,
    ];
    $data['moreData'] = [
      'name' => $dataPortability[0]->client_name,
      'real_order_id' => $dataPortability[0]->order_id,
      'email' => $dataPortability[0]->client_email,
      'plan_id' => !empty($dataPortability[0]->suscription_id)
      ? $dataPortability[0]->suscription_id
      : '',
    ];
    $_SESSION['data_pospago'] = $data;

    return $data;
  }
}
